/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package teacher;

import entities.Thesis;
import entities.Users;
import java.util.List;
import java.util.Map;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.context.FacesContext;
import manager.ThesisStudentSessionBeanRemote;

/**
 *
 * @author Szilárd
 */
@ManagedBean(name="ListThesisMoreT")
@RequestScoped
public class ListThesisMoreT {
    @EJB
    private ThesisStudentSessionBeanRemote thesisStudentSessionBean;

    Thesis thesis;
    List<Users> student;
    /** Creates a new instance of ListThesisMoreT */
    public ListThesisMoreT() {
        Map map = FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
        thesis = (Thesis) map.get("thesis");
    }

    public Thesis getThesis() {
        return thesis;
    }

    public void setThesis(Thesis thesis) {
        this.thesis = thesis;
    }

    public List<Users> getStudent() {
        return this.thesisStudentSessionBean.findByThesisID(thesis);
    }

    public void setStudent(List<Users> student) {
        this.student = student;
    }



    public String backAction(){
        return "listthesist";
    }
}
